com.pivotal.gemfirexd.internal.client.net

## Class StatementReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.ConnectionReply
  - - com.pivotal.gemfirexd.internal.client.net.StatementReply

Direct Known Subclasses:
  ResultSetReply

    public class StatementReply
    extends ConnectionReply

### Method Summary

Methods
`void` `readDescribeInput(PreparedStatementCallbackInterface preparedStatement)`
`void` `readDescribeOutput(PreparedStatementCallbackInterface preparedStatement)`
`void` `readExecute(PreparedStatementCallbackInterface preparedStatement)`
`void` `readExecuteCall(StatementCallbackInterface statement)`
`void` `readExecuteImmediate(StatementCallbackInterface statement)`
`void` `readOpenQuery(StatementCallbackInterface statement)`
`void` `readPrepare(StatementCallbackInterface statement)`
`void` `readPrepareDescribeOutput(StatementCallbackInterface statement)`
`void` `readSetSpecialRegister(StatementCallbackInterface statement)`
`void` `readStatementID(StatementCallbackInterface statement)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.ConnectionReply

`readCommitSubstitute, readLocalCommit, readLocalRollback, readLocalXACommit, readLocalXARollback, readLocalXAStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readPrepareDescribeOutput

    public void readPrepareDescribeOutput(StatementCallbackInterface statement)
                                   throws SqlException

Throws:
  `SqlException`

#### readStatementID

    public void readStatementID(StatementCallbackInterface statement)
                         throws SqlException

Throws:
  `SqlException`

#### readExecuteImmediate

    public void readExecuteImmediate(StatementCallbackInterface statement)
                              throws SqlException

Throws:
  `SqlException`

#### readOpenQuery

    public void readOpenQuery(StatementCallbackInterface statement)
                       throws SqlException

Throws:
  `SqlException`

#### readExecute

    public void readExecute(PreparedStatementCallbackInterface preparedStatement)
                     throws SqlException

Throws:
  `SqlException`

#### readPrepare

    public void readPrepare(StatementCallbackInterface statement)
                     throws SqlException

Throws:
  `SqlException`

#### readDescribeInput

    public void readDescribeInput(PreparedStatementCallbackInterface preparedStatement)
                           throws SqlException

Throws:
  `SqlException`

#### readDescribeOutput

    public void readDescribeOutput(PreparedStatementCallbackInterface preparedStatement)
                            throws SqlException

Throws:
  `SqlException`

#### readExecuteCall

    public void readExecuteCall(StatementCallbackInterface statement)
                         throws SqlException

Throws:
  `SqlException`

#### readSetSpecialRegister

    public void readSetSpecialRegister(StatementCallbackInterface statement)
                                throws SqlException

Throws:
  `SqlException`